Groups - Get Groups

Returns a list of workspaces the user has access to.

When user permissions to a workspace have been recently updated, the new permissions might not be immediately available through API calls. To refresh user permissions, use the Refresh User Permissions API call.

Required scope

Workspace.Read.All or Workspace.ReadWrite.All

GET https://api.powerbi.com/v1.0/myorg/groups
GET https://api.powerbi.com/v1.0/myorg/groups?$filter={$filter}&$top={$top}&$skip={$skip}

URI Parameters

Name In Required Type Description
$filter
query
  • string

Filters the results, based on a boolean condition

$skip
query
  • integer
int32

Skips the first n results

$top
query
  • integer
int32

Returns only the first n results

Responses

Name Type Description
200 OK

OK

Examples

example
example with filter

example

Sample Request

GET https://api.powerbi.com/v1.0/myorg/groups

Sample Response

{
  "value": [
    {
      "id": "f089354e-8366-4e18-aea3-4cb4a3a50b48",
      "isReadOnly": false,
      "isOnDedicatedCapacity": false,
      "name": "sample group"
    },
    {
      "id": "3d9b93c6-7b6d-4801-a491-1738910904fd",
      "isReadOnly": false,
      "isOnDedicatedCapacity": false,
      "name": "marketing group"
    },
    {
      "id": "a2f89923-421a-464e-bf4c-25eab39bb09f",
      "isReadOnly": false,
      "isOnDedicatedCapacity": false,
      "name": "contoso",
      "dataflowStorageId": "d692ae06-708c-485e-9987-06ff0fbdbb1f"
    }
  ]
}

example with filter

Sample Request

GET https://api.powerbi.com/v1.0/myorg/groups?$filter=$filter=contains(name,'marketing')%20or%20name%20eq%20'contoso'

Sample Response

{
  "value": [
    {
      "id": "3d9b93c6-7b6d-4801-a491-1738910904fd",
      "isReadOnly": false,
      "isOnDedicatedCapacity": false,
      "name": "marketing group"
    },
    {
      "id": "a2f89923-421a-464e-bf4c-25eab39bb09f",
      "isReadOnly": false,
      "isOnDedicatedCapacity": false,
      "name": "contoso",
      "dataflowStorageId": "d692ae06-708c-485e-9987-06ff0fbdbb1f"
    }
  ]
}

Definitions

Group

A Power BI group

Groups

The OData response wrapper for a list of Power BI groups

Group

A Power BI group

Name Type Description
capacityId
  • string

The capacity ID

dataflowStorageId
  • string

The Power BI dataflow storage account ID

id
  • string

The workspace ID

isOnDedicatedCapacity
  • boolean

Is the group on dedicated capacity

isReadOnly
  • boolean

Is the group read only

name
  • string

The group name

Groups

The OData response wrapper for a list of Power BI groups

Name Type Description
odata.context
  • string

OData context

value

The list of groups